﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MakoAssembly.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public class MakoAssembly : IMakoAssembly
    {
        private readonly IntPtr m_handle;

        public MakoAssembly(IntPtr handle)
        {
            m_handle = handle;
        }

        public IMakoDocument GetDocument(int documentIndex = 0)
        {
            return new MakoDocument(MakoDll.fnOpenDocument(m_handle, documentIndex));
        }

        public void Save(string path, string[] outputParams)
        {
            MakoDll.fnSaveAssembly(m_handle, path, outputParams, outputParams.Length);
        }

        public void SaveAsPdf(string path, bool incremental)
        {
            MakoDll.fnSaveAssemblyAsPdf(m_handle, path, incremental);
        }

        public void Dispose()
        {
            MakoDll.fnCloseAssembly(m_handle);
        }
    }
}