﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MakoDocument.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// <summary>
//   
// </summary>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public class MakoDocument : IMakoDocument
    {
        private readonly IntPtr m_handle;

        public MakoDocument(IntPtr documentHandle)
        {
            m_handle = documentHandle;
        }

        public int GetPageCount()
        {
            return MakoDll.fnGetPageCount(m_handle);
        }

        public MakoSize GetPageSize(int pageIndex)
        {
            if (pageIndex >= MakoDll.fnGetPageCount(m_handle))
                throw new ArgumentOutOfRangeException(nameof(pageIndex));

            return new MakoSize
            {
                width = MakoDll.fnGetPageWidth(m_handle, pageIndex),
                height = MakoDll.fnGetPageHeight(m_handle, pageIndex)
            };
        }
        
        public void SaveThumbnail(int pageIndex, string filePath)
        {
            if (pageIndex >= MakoDll.fnGetPageCount(m_handle))
                throw new ArgumentOutOfRangeException(nameof(pageIndex));

            MakoDll.fnSaveThumbnail(m_handle, pageIndex, filePath);
        }
        
        public void Dispose()
        {
            MakoDll.fnCloseDocument(m_handle);
        }
    }
}