// -----------------------------------------------------------------------
//  <copyright file="MakoWrapperDll.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#ifndef __MAKOWRAPPERDLL_H__
#define __MAKOWRAPPERDLL_H__

#ifdef MAKOWRAPPER_EXPORTS
#define MAKOWRAPPER_API __attribute__((visibility("default")))
#else
#define MAKOWRAPPER_API
#endif

#include <jawsmako/jawsmako.h>
#include "WrapperLib/Types.h"

using namespace EDL;
using namespace JawsMako;

extern "C"
{
    // Mako APIs
    MAKOWRAPPER_API bool fnTestMarshalling(uint32 testInt, char* message);
    MAKOWRAPPER_API bool fnInitialize(char* libraryLocation);
    MAKOWRAPPER_API void fnShutdown();

    // Assembly APIs
    MAKOWRAPPER_API MakoResult fnOpenAssembly(char* filePath, eFileFormat format, MakoHandle* assemblyHandle);
    MAKOWRAPPER_API void fnCloseAssembly(MakoHandle assemblyHandle);
    MAKOWRAPPER_API void fnSaveAssembly(MakoHandle assemblyHandle, char* filePath, char** outputParams, int parameterCount);
    MAKOWRAPPER_API void fnSaveAssemblyAsPdf(MakoHandle assemblyHandle, char* filePath, bool incremental);

    // Document APIs
    MAKOWRAPPER_API MakoHandle fnOpenDocument(MakoHandle assemblyHandle, int documentIndex);
    MAKOWRAPPER_API void fnCloseDocument(MakoHandle documentHandle);

    // Page APIs
    MAKOWRAPPER_API double fnGetPageWidth(MakoHandle documentHandle, int pageIndex);
    MAKOWRAPPER_API double fnGetPageHeight(MakoHandle documentHandle, int pageIndex);
    MAKOWRAPPER_API int fnGetPageCount(MakoHandle documentHandle);
    MAKOWRAPPER_API void fnGetThumbnail(MakoHandle documentHandle, int pageIndex, char* filePath);

}

#endif //__MAKOWRAPPERDLL_H__
