// -----------------------------------------------------------------------
//  <copyright file="MakoAssembly.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#ifndef MAKOASSEMBLY_H
#define MAKOASSEMBLY_H

#include "MakoDocument.h"
#include <jawsmako/pdfoutput.h>

using namespace JawsMako;


class MakoAssembly
{
public:
    MakoAssembly(IJawsMakoPtr mako, IDocumentAssemblyPtr assembly, U8String sourceFilePath);
    virtual ~MakoAssembly();

    MakoDocument* openDocument(int documentIndex) const;
    void save(const U8String path, CEDLSysStringVect output_params) const;
    void saveAsPdf(const U8String path, bool incremental) const;

private:
    static U8String getPdfVersion(IDOMMetadataPtr& domMetadata);
    static void setPdfVersion(IPDFOutputPtr pdfOutput, U8String version);

    IJawsMakoPtr m_mako;
    IDocumentAssemblyPtr m_assembly;
    U8String m_pdfVersion;
    U8String m_sourceFilePath;
};

#endif // MAKOASSEMBLY_H
