// -----------------------------------------------------------------------
//  <copyright file="MakoDocument.cpp" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#include "MakoDocument.h"
#include "CropboxTransformer.h"

using namespace JawsMako;

MakoDocument::MakoDocument(IJawsMakoPtr mako, IDocumentPtr document, U8String sourceFilePath) :
    m_document(document), m_mako(mako), m_sourceFilePath(sourceFilePath) {}

double MakoDocument::getPageHeight(const int pageIndex) const
{
    const IPagePtr page = m_document->getPage(pageIndex);
    CropboxTransformer transformer(page);

    return transformer.getTransformedPageRect().dY;
}

double MakoDocument::getPageWidth(const int pageIndex) const
{
    const IPagePtr page = m_document->getPage(pageIndex);
    CropboxTransformer transformer(page);

    return transformer.getTransformedPageRect().dX;
}

IPagePtr MakoDocument::getPage(const int pageIndex) const
{
    return m_document->getPage(pageIndex);
}

uint32 MakoDocument::getPageCount() const
{
    return m_document->getNumPages();
}