// -----------------------------------------------------------------------
//  <copyright file="MakoDocument.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------


#ifndef MAKODOCUMENT_H
#define MAKODOCUMENT_H

#include <jawsmako/transforms.h>
#include "IPageTransformer.h"

using namespace JawsMako;

class MakoDocument
{
public:
    MakoDocument(IJawsMakoPtr mako, IDocumentPtr document, U8String sourceFilePath);

    IPagePtr getPage(int pageIndex) const;
    double getPageHeight(int pageIndex) const;
    double getPageWidth(int pageIndex) const;
    uint32 getPageCount() const;

    
private:
    IDocumentPtr m_document;
    IJawsMakoPtr m_mako;
    U8String m_sourceFilePath;
};

#endif // MAKODOCUMENT_H
