// -----------------------------------------------------------------------
//  <copyright file="PageRenderer.cpp" company="Global Graphics Software Ltd">
//      Copyright (c) 2018 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#include "PageRenderer.h"

PageRenderer::PageRenderer(JawsMako::IJawsMakoPtr mako, JawsMako::IPagePtr page) : m_mako(mako), m_page(page) {}


EDL::IDOMImagePtr PageRenderer::Render()
{
    // Setup the renderer
    JawsMako::IJawsRendererPtr renderer = JawsMako::IJawsRenderer::create(m_mako);
    JawsMako::IDOMFixedPagePtr fixedPage = m_page->getContent();
    return renderer->renderAntiAliased(fixedPage);
}