/*
 * Copyright (C) 2014-2019 Global Graphics Software Ltd. All rights reserved.
 */

/**
 * @file     edlfwd.h
 * @ingroup  IDom
 * @brief    A header containing forward declarations for certain EDL interfaces.
 *
 */

#ifndef EDLFWD_H
#define EDLFWD_H

#include <edl/edlnamespaces.h>
#include <edl/smartptr.h>
#include <edl/edlvector.h>

_BEGIN_EDL_NAMESPACE

class IMessageHandler;
DECL_SMART_PTR(IMessageHandler);
class ILiteMessageHandler;
DECL_SMART_PTR(ILiteMessageHandler);
class IDOMPageLinkManager;
DECL_SMART_PTR(IDOMPageLinkManager);
class IDOMPageAnnotationManager;
DECL_SMART_PTR(IDOMPageAnnotationManager);
_END_EDL_NAMESPACE

_BEGIN_EDL_DOM_NAMESPACE
class IDOMGroup;
DECL_SMART_PTR(IDOMGroup);
class IDOMTransparencyGroup;
DECL_SMART_PTR(IDOMTransparencyGroup);
class IDOMPathGeometry;
DECL_SMART_PTR(IDOMPathGeometry);
class IDOMImage;
DECL_SMART_PTR(IDOMImage);
class IDOMBrush;
DECL_SMART_PTR(IDOMBrush);
class IDOMImageBrush;
DECL_SMART_PTR(IDOMImageBrush);
class IDOMPDFAlternateImage;
DECL_SMART_PTR(IDOMPDFAlternateImage);
typedef CEDLVector<IDOMPDFAlternateImagePtr> CDOMAlternateImageVect;
_END_EDL_DOM_NAMESPACE


#endif

