/*
* Copyright (C) 2013 Global Graphics Software Ltd. All rights reserved.
*/

#ifndef EDLRENDERINGINTENT_H
#define EDLRENDERINGINTENT_H

#include <edl/edlnamespaces.h>

/**
* @file     edlrenderingintent.h
* @ingroup  IDom
* @brief    Simple enum for rendering intent
*/

_BEGIN_EDL_NAMESPACE

/**
* @enum     eRenderingIntent
* @ingroup  IDom
* @brief    Rendering intent enumeration
*/
typedef enum
{
    ePerceptual = 0,             //!< Perceptual rendering intent
    eRelativeColorimetric = 1,   //!< Relative colorimetric rendering intent
    eSaturation = 2,             //!< Saturation rendering intent
    eAbsoluteColorimetric = 3    //!< Absolute colorimetric rendering intent
} eRenderingIntent;

_END_EDL_NAMESPACE

#endif
