/*
* Copyright (C) 2013 Global Graphics Software Ltd. All rights reserved.
*/

/**
* @file     idomedgemode.h
* @ingroup  IDom
* @brief    Enumeration for edge mode, used to flag when a node should
*           not be rendered using anti-aliasing on anti-aliasing renderers.
*/

#ifndef __IDOMEDGEMODE_H_
#define __IDOMEDGEMODE_H_

#include <edl/edlnamespaces.h>

_BEGIN_EDL_DOM_NAMESPACE

/**
* @enum     eEdgeMode
* @ingroup  IDom
* @brief    Available options for the RenderOptionsEdgeMode property, which controls anti-aliasing behavior.
*/
typedef enum
{
    eEMDefault, /*!< Use default anti-aliasing behavior when rendering the contents of this node. 
                  Anti-aliasing consumers will perform anti-aliasing. */
    eEMAliased  /*!< Do not perform anti-aliasing when rendering the contents of this node or its children. */
} eEdgeMode;

_END_EDL_DOM_NAMESPACE

#endif

