/*
 * Copyright (C) 2007-2019 Global Graphics Software Ltd. All rights reserved.
 */
 
#ifndef __IDOMID_H__
#define __IDOMID_H__

#include <edl/edltypes.h>


/**
 * @file        idomid.h
 * @ingroup     IDom
 * @brief       DOMid Interface
 */
 
_BEGIN_EDL_DOM_NAMESPACE

/**
 * @typedef uint64 DOMid
 * @ingroup IDom
 * @brief Type used to uniquely idenitify a DOM node
 */
typedef EDL::uint64 DOMid;

const DOMid INVALID_DOM_ID = 0;

/**
* @brief   Allocate a unique DOMid
* @return @b DOMid The new DOMid 
*/
EDL_API DOMid allocateNewDOMid();

_END_EDL_DOM_NAMESPACE

#endif /* __IDOMID_H__ */
