/*
 * Copyright (C) 2007-2019 Global Graphics Software Ltd. All rights reserved.
 */

/**
 * @file memutils.h
 * @ingroup IController
 * @brief EDL portability wrappers around memset(), memcpy() and memcmp()
 * to allow EDL to use alternate implementations where necessary.
 */

#ifndef __EDLMEM_H__
#define __EDLMEM_H__

#include <string.h>

_BEGIN_EDL_NAMESPACE

#define EDLmemset(buffer, mark, size) memset(buffer, mark, size)
#define EDLmemcpy(dest, src, size) memcpy(dest, src, size)
#define EDLmemcmp(dest, src, size) memcmp(dest, src, size)

_END_EDL_NAMESPACE

#endif /* __EDLMEM_H__ */
